POL_RECIP(1)

NAME
pol_recip - polar reciprocals (duals)

SYNOPSIS
pol_recip [options] [input_file]

DESCRIPTION
Read a file in OFF format and make a polar reciprocal from the face planes. If input_file is not given the program reads from standard input.

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-c <cent> reciprocation centre (default: C)

    X,Y,Z - centre with these coordinates C - vertex centroid, M - mid-sphere (approximate) e - edge balanced, E - edge balanced with inversion v - vert/face balanced, V - vert/face balanced with inversion a - v/f/e balanced A - v/f/e balanced with inversion

-C <init> initial value for a centre calculation, in form 'X,Y,Z',

    or C to use centroid (default), M to calculate approx mid-sphere

-r <rad>
    reciprocation radius (default: calculated)

    radius value - use this value as the radius v - nearest vertex distance, V - furthest vertex distance e - nearest edge distance, E - furthest edge distance f - nearest face distance, F - furthest face distance X - topological dual using face centroids for dual vertices

    or a comma separated list of vertex indices (starting from 0) and the distance is to the space containing those vertices

-R <rad>
    initial value for a radius calculation (default: calculated)

-i  transform dual by reflecting in centre point

-I <dist> maximum distance to project any normal or infinite dual vertex

    (default: 1e+15), if 0 then use actual distances and delete infinite points

-x  exclude extra elements added to duals with ideal vertices

-n <itrs> maximum number of iterations (default: 10000)

-l <lim>
    minimum distance change to terminate, as negative exponent

    (default: 12 giving 1e-12)

-a  append dual to original polyhedron

-o <file> write output to file (default: write to standard output)

SEE ALSO
The full documentation for pol_recip is maintained as a Texinfo manual. If the info and pol_recip programs are properly installed at your site, the command

    info pol_recip

should give you access to the complete manual.